com.airbnb.android.react.maps

## Class AirMapPolygon

- java.lang.Object
- - ReactViewGroup
  - - com.airbnb.android.react.maps.AirMapFeature
    - - com.airbnb.android.react.maps.AirMapPolygon

    public class AirMapPolygon
    extends AirMapFeature

### Constructor Summary

Constructors
Constructor and Description
`AirMapPolygon(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToMap(GoogleMap map)`
`java.lang.Object` `getFeature()`
`PolygonOptions` `getPolygonOptions()`
`void` `removeFromMap(GoogleMap map)`
`void` `setCoordinates(ReadableArray coordinates)`
`void` `setFillColor(int color)`
`void` `setGeodesic(boolean geodesic)`
`void` `setStrokeColor(int color)`
`void` `setStrokeWidth(float width)`
`void` `setZIndex(float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapPolygon

    public AirMapPolygon(android.content.Context context)

### Method Detail

#### setCoordinates

    public void setCoordinates(ReadableArray coordinates)

#### setFillColor

    public void setFillColor(int color)

#### setStrokeColor

    public void setStrokeColor(int color)

#### setStrokeWidth

    public void setStrokeWidth(float width)

#### setGeodesic

    public void setGeodesic(boolean geodesic)

#### setZIndex

    public void setZIndex(float zIndex)

#### getPolygonOptions

    public PolygonOptions getPolygonOptions()

#### getFeature

    public java.lang.Object getFeature()

Specified by:
  `getFeature` in class `AirMapFeature`

#### addToMap

    public void addToMap(GoogleMap map)

Specified by:
  `addToMap` in class `AirMapFeature`

#### removeFromMap

    public void removeFromMap(GoogleMap map)

Specified by:
  `removeFromMap` in class `AirMapFeature`